package VariableDemandSchedules;

import jdistlib.Binomial;
import jdistlib.rng.RandomEngine;

public class VariableDemandVector {
    private int[] VariableDemandVector;

    VariableDemandVector(int length, RandomEngine r) {
        VariableDemandVector = new int[length];
        Binomial p1 = new Binomial(1,0.5);
        p1.setRandomEngine(r);
        for (int i = 0; i < length; i++) {
            VariableDemandVector[i] = (int) p1.random();
        }
    }

    public int[] getVariableDemandVector() {
        return VariableDemandVector;
    }
}
